# Uses of Enum
com.databricks.jdbc.common.CompressionCodec

Packages that use CompressionCodec
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.api.internal
com.databricks.jdbc.common
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.sqlexec
com.databricks.jdbc.model.core

## Uses of CompressionCodec in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return CompressionCodec
Modifier and Type
Method
Description
`CompressionCodec`
DatabricksConnectionContext.`getCompressionCodec()`
`CompressionCodec`
DatabricksSession.`getCompressionCodec()`

## Uses of CompressionCodec in com.databricks.jdbc.api.impl.arrow

Fields in com.databricks.jdbc.api.impl.arrow declared as CompressionCodec
Modifier and Type
Field
Description
`protected final CompressionCodec`
AbstractRemoteChunkProvider.`compressionCodec`
Methods in com.databricks.jdbc.api.impl.arrow that return CompressionCodec
Modifier and Type
Method
Description
`CompressionCodec`
AbstractRemoteChunkProvider.`getCompressionCodec()`
Methods in com.databricks.jdbc.api.impl.arrow with parameters of type CompressionCodec
Modifier and Type
Method
Description
`protected abstract void`
AbstractArrowResultChunk.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.
`protected void`
ArrowResultChunk.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.
Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type CompressionCodec
Modifier
Constructor
Description
`protected`
`AbstractRemoteChunkProvider(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
`protected`
`AbstractRemoteChunkProvider(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`

## Uses of CompressionCodec in com.databricks.jdbc.api.impl.arrow.incubator

Methods in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type CompressionCodec
Modifier and Type
Method
Description
`protected void`
ArrowResultChunkV2.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Constructors in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type CompressionCodec
Modifier
Constructor
Description
``
`RemoteChunkProviderV2(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`

## Uses of CompressionCodec in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return CompressionCodec
Modifier and Type
Method
Description
`CompressionCodec`
IDatabricksConnectionContext.`getCompressionCodec()`
`CompressionCodec`
IDatabricksSession.`getCompressionCodec()`
Returns the compression algorithm used on results data

## Uses of CompressionCodec in com.databricks.jdbc.common

Subclasses with type arguments of type CompressionCodec in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`CompressionCodec`
Methods in com.databricks.jdbc.common that return CompressionCodec
Modifier and Type
Method
Description
`static CompressionCodec`
CompressionCodec.`getCompressionMapping(TGetResultSetMetadataResp metadataResp)`
`static CompressionCodec`
CompressionCodec.`parseCompressionType(String compressionType)`
`static CompressionCodec`
CompressionCodec.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompressionCodec[]`
CompressionCodec.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of CompressionCodec in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type CompressionCodec
Modifier and Type
Method
Description
`static byte[]`
DecompressionUtil.`decompress(byte[] compressedInput, CompressionCodec compressionCodec, String context)`
`static InputStream`
DecompressionUtil.`decompress(InputStream compressedStream, CompressionCodec compressionCodec, String context)`

## Uses of CompressionCodec in com.databricks.jdbc.model.client.sqlexec

Methods in com.databricks.jdbc.model.client.sqlexec that return CompressionCodec
Modifier and Type
Method
Description
`CompressionCodec`
ExecuteStatementRequest.`getResultCompression()`
Methods in com.databricks.jdbc.model.client.sqlexec with parameters of type CompressionCodec
Modifier and Type
Method
Description
`ExecuteStatementRequest`
ExecuteStatementRequest.`setResultCompression(CompressionCodec compressionCodec)`

## Uses of CompressionCodec in com.databricks.jdbc.model.core

Methods in com.databricks.jdbc.model.core that return CompressionCodec
Modifier and Type
Method
Description
`CompressionCodec`
ResultManifest.`getResultCompression()`
Methods in com.databricks.jdbc.model.core with parameters of type CompressionCodec
Modifier and Type
Method
Description
`ResultManifest`
ResultManifest.`setResultCompression(CompressionCodec resultCompression)`